#!/usr/bin/make -f
# output every command that modifies files on the build system.
#DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	# Do not treat all warnings as errors, and build the Qt frontend.
	dh_auto_configure -- \
		-DMBGL_WITH_QT=ON \
		-DMBGL_WITH_WERROR=OFF \
		-DCMAKE_INSTALL_PREFIX:PATH=/usr \
		-DMBGL_WITH_QT_HEADLESS=OFF \
		-DMBGL_QT_LIBRARY_ONLY=ON \
		-DMBGL_QT_STATIC=OFF \
		-DMBGL_QT_WITH_INTERNAL_ICU=OFF
#	dh_auto_configure -- -DMBGL_WITH_QT=ON -DMBGL_WITH_WERROR=OFF -DCI_BUILD=1 -SMBGL_TEST_BUILD_ON_CI=0 -DMBGL_WITH_QT_LIB_ONLY=ON -DMBGL_WITH_QT_HEADLESS=OFF

#override_dh_installdocs:
# Do not install a copyright file
# no /usr/share/docs/* needed!
#dh_installdocs --exclude=debian/copyright
# Do not install changelogs for space conservation
#override_dh_installchangelogs:
